"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const elasticsearch_1 = require("@elastic/elasticsearch");
const common_1 = require("@nestjs/common");
const ElasticsearchLoggerOptions_1 = require("./ElasticsearchLoggerOptions");
let ElasticsearchLoggerService = class ElasticsearchLoggerService {
    constructor(options) {
        this.options = options;
        console.log(options);
        this.client = new elasticsearch_1.Client(options.elasticsearchClientOptions);
    }
    log(level, message) {
        this.client.index({
            index: this.options.index,
            body: {
                date: new Date(),
                level,
                log: message
            }
        });
        if (this.options.stdout) {
            console.log(`[${this.options.name}] ${JSON.stringify(message)}`);
        }
    }
    info(message) {
        this.log('info', message);
    }
};
ElasticsearchLoggerService = __decorate([
    __param(0, common_1.Inject('CONFIG_OPTIONS')),
    __metadata("design:paramtypes", [ElasticsearchLoggerOptions_1.ElasticsearchLoggerOptions])
], ElasticsearchLoggerService);
exports.ElasticsearchLoggerService = ElasticsearchLoggerService;
//# sourceMappingURL=ElasticsearchLoggerService.js.map